<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2012 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 
?>
<script type="text/javascript">

    $(document).ready(function() {
                
        $(document).ready(function() {
            var iDisplayLength = <?php echo $this->rowConfiguracion->showEntries; ?>;
            var icon = <?php echo $this->rowConfiguracion->icon; ?>;
            var size = <?php echo $this->rowConfiguracion->size; ?>;
            var updateDate = <?php echo $this->rowConfiguracion->updateDate; ?>;
            var author = <?php echo $this->rowConfiguracion->author; ?>;
            var version = <?php echo $this->rowConfiguracion->version; ?>;
            var iconValor = false;
            var sizeValor = false;
            var updateDateValor = false;
            var authorValor = false;
            var versionValor = false;
            if(icon == 1){
                iconValor = true;
            }
            if(size === 1){
                sizeValor = true;
            }
            if(updateDate == 1){
                updateDateValor = true; 
            }
            if(author == 1){
                authorValor = true;
            }
            if(version == 1){
                versionValor = true;
            }     
            $('#tablaBuscador').dataTable({
                "bJQueryUI": true,
                "sPaginationType": "full_numbers",                
                "iDisplayLength": iDisplayLength,
                "bFilter":false,
                "aoColumns": [
                    { "bSortable": false,"bSearchable": false,"bVisible":iconValor},
                    { "bSortable": true ,"bVisible":true},
                    { "bSortable": false ,"bVisible":sizeValor},
                    { "bSortable": false ,"bVisible":updateDateValor},
                    { "bSortable": true ,"bVisible":authorValor},
                    { "bSortable": false,"bVisible":versionValor }
                ],
                "aaSorting": [[ 0, "asc" ]],
                "oLanguage": {
                    "sProcessing": "<?php echo JText::_('COM_OPENKM_PLEASE_WAIT') ?>",
                    "sLengthMenu": "<?php echo JText::_('COM_OPENKM_SHOW') ?>_MENU_ <?php echo JText::_('COM_OPENKM_ENTRIES') ?>",
                    "sZeroRecords": "<?php echo JText::_('COM_OPENKM_NOTHING_FOUND_SORRY') ?>",
                    "sInfo": "<?php echo JText::_('COM_OPENKM_SHOWING') ?>_START_ <?php echo JText::_('COM_OPENKM_TO') ?> _END_ <?php echo JText::_('COM_OPENKM_OF') ?> _TOTAL_ <?php echo JText::_('COM_OPENKM_ENTRIES') ?>",
                    "sInfoEmpty": "<?php echo JText::_('COM_OPENKM_SHOWING') ?> 0 <?php echo JText::_('COM_OPENKM_TO') ?> 0 <?php echo JText::_('COM_OPENKM_OF') ?> 0 <?php echo JText::_('COM_OPENKM_ENTRIES') ?>",
                    "sInfoFiltered": "(<?php echo JText::_('COM_OPENKM_FILTERED_FROM') ?> _MAX_ <?php echo JText::_('COM_OPENKM_TOTAL_ENTRIES') ?>)",
                    "sInfoPostFix": "",
                    "sSearch": "<?php echo JText::_('COM_OPENKM_SEARCH'); ?>",
                    "sUrl": "",
                    "oPaginate": {
                        "sFirst":    "<?php echo JText::_('COM_OPENKM_FIRST') ?>",
                        "sPrevious": "<?php echo JText::_('COM_OPENKM_PREVIOUS') ?>",
                        "sNext":     "<?php echo JText::_('COM_OPENKM_NEXT') ?>",
                        "sLast":     "<?php echo JText::_('COM_OPENKM_LAST') ?>"
                    }
                }
            });
        });        
    });
</script>
<style type="text/css">
    #advanced{
        margin-top:10px;
        margin-bottom:10px;
    }
</style>
<?php

function printFolder($folder) { ?>
    <tr>
        <td align="center">
            <?php if ($folder->hasChildren == 1) { ?>
                <img src="components/com_openkm/assets/images/menuitem_childs.png" /> 
            <?php } else {
                ?>
                <img src="components/com_openkm/assets/images/menuitem_empty.png" />   
            <?php } ?>            
        </td>
        <td>
            <a  href="index.php?option=com_openkm&view=escritorio&task=folder&path=<?php echo $folder->path; ?>" >
                <?php
                echo substr($folder->path, strrpos($folder->path, '/') + 1);
                ?>
            </a>
        </td>
        <td>

        </td>
        <td>            
            <?php
            $time = strtotime($folder->created);
            echo date('d/m/Y h:i:s', $time);
            ?>
        </td>
        <td>
            <?php echo $folder->author ?>
        </td>
        <td>           
        </td> 
    </tr>
    <?php
}

function printDocument($document, $rowConfiguracion) {
    ?>
    <tr>
        <td align="center">
            <img src="<?php echo $rowConfiguracion->url; ?>/mime/<?php echo $document->mimeType; ?>" />            
        </td>
        <td>            
            <a  href="components/com_openkm/download.php?path=<?php echo $document->path; ?>&id=<?php echo $rowConfiguracion->idConfiguracion; ?>" >                
                <?php echo substr($document->path, strrpos($document->path, '/') + 1); ?>
            </a>               
        </td>
        <td>
            <?php echo formatSize($document->actualVersion->size); ?>
        </td>
        <td>
            <?php
            $time = strtotime($document->created);
            echo date('d/m/Y h:i:s', $time);
            ?>
        </td>
        <td>
            <?php echo $document->author; ?>
        </td>
        <td>
            <?php echo $document->actualVersion->name; ?>
        </td>
    </tr>
    <?php
}

function redondear($numero, $decimales) {
    $factor = pow(10, $decimales);
    return (round($numero * $factor) / $factor);
}

function formatSize($size) {
    if ($size / 1024 < 1) {
        $str = $size + " Bytes";
    } else if ($size / 1048576 < 1) {
        $srt = redondear(($size / 1024), 1) . " KB";
    } else if ($size / 1073741824 < 1) {
        $srt = redondear(($size / 1048576), 1) . " MB";
    } else if ($size / 1099511627776 < 1) {
        $srt = redondear(($size / 1073741824), 1) . " GB";
    } else {
        $srt = "BIG";
    }
    return $srt;
}

if ($this->error == 0) {
    ?>    
    <div id="advanced">
        <?php require_once ('form.php'); ?>
    </div>
    <table id="tablaBuscador" width="100%" class="display" cellpadding="0" cellspacing="0" border="0">
        <thead>
            <tr>
                <th > </th>
                <th > <?php echo JText::_('COM_OPENKM_NAME') ?></th>
                <th > <?php echo JText::_('COM_OPENKM_SIZE') ?></th>
                <th> <?php echo JText::_('COM_OPENKM_UPDATE_DATE') ?></th>
                <th > <?php echo JText::_('COM_OPENKM_AUTHOR') ?></th>
                <th > <?php echo JText::_('COM_OPENKM_VERSION') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php
            if ($this->resultArray) {
                if (is_array($this->resultArray)) {
                    foreach ($this->resultArray as $result) {
                        if (isset($result->folder)) {
                            printFolder($result->folder);
                        } else {
                            printDocument($result->document, $this->rowConfiguracion);
                        }
                    }
                } else {
                    if (isset($this->resultArray)) {
                        if (isset($result->folder)) {
                            printFolder($this->resultArray->folder);
                        } else {
                            printDocument($this->resultArray->document, $this->rowConfiguracion);
                        }
                    }
                }
            }
            ?>
        </tbody>
    </table>

<?php } else { ?>   
    <h2>Error - La configuración no es la correcta revise por favor su configuración para conectarse a OpenKM.</h2>
    <?php
}?>