<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2013 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
defined( '_JEXEC' ) or die; 
?>
<script language="javascript" type="text/javascript">
    $(document).ready(function(){

        $("#searchAdvanced").button().click(function() {
            var contenido = $('#contenido').val();
            var nombre = $('#nombre').val();
            var palabraClave = $('#palabraClave').val();
            if(contenido != '' || nombre != '' || palabraClave != ''){
                document.formBuscador.task.value = 'searchAdvanced';
                document.formBuscador.submit();
            }
            else{
                $('#nombre').validationEngine('showPrompt', '<?php echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED');?>', 'error', true);                     
                return false;
            }
        });
        
        $('*').keypress(function(e){
            //funciona cuando se preciona la tecla enter
            if(e.keyCode == 13){
                var contenido = $('#contenido').val();
                var nombre = $('#nombre').val();
                var palabraClave = $('#palabraClave').val();
                if(contenido != '' || nombre != '' || palabraClave != ''){
                    document.formBuscador.task.value = 'searchAdvanced';
                    document.formBuscador.submit();
                }
                else{
                    $('#nombre').validationEngine('showPrompt', '<?php echo JText::_('COM_OPENKM_SOME_OF_THESE_FIELDS_ARE_REQUIRED');?>', 'error', true);                     
                    return false;
                }
            }
        });
        
        $("#searchReturn").button().click(function() {
            document.formBuscador.task.value = 'returnDesktop';
            document.formBuscador.submit();
        });

        $("#tab").tabs();
        
        $('#formBuscador').validationEngine();
    });


</script>
<form action= "" method="post" name="formBuscador"
      id="formBuscador" enctype="multipart/form-data">
    <div id="tab">
        <ul>
            <li><a href="#dato"><?php echo JText::_('COM_OPENKM_ADVANCED_SEARCH') ?></a></li>
        </ul>
        <div id="dato">
            <table id="datoTable" align="center">
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_CONTENT') ?>:</td>
                    <td>
                        <input type="text" name="contenido" id="contenido" value="" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_NAME') ?>:</td>
                    <td>
                        <input type="text" name="nombre" id="nombre" value="" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_KEYWORDS') ?>:</td>
                    <td>
                        <input type="text" name="palabraClave" id="palabraClave" value="" />
                    </td>
                </tr>
                <tr>
                    <td align="right"><?php echo JText::_('COM_OPENKM_TYPE') ?>:</td>
                    <td>
                        <input type="checkbox" name="documento" id="documento" value="1" checked="checked"/><?php echo JText::_('COM_OPENKM_DOCUMENT') ?>
                        <input type="checkbox" name="carpeta" id="carpeta" value="2" /><?php echo JText::_('COM_OPENKM_FOLDER') ?>                     
                    </td>
                </tr>
                <tr>
                    <td><?php echo JText::_('COM_OPENKM_DOCUMENT_TYPE') ?>:</td>
                    <td>                           
                        <select id="tipoDocumento" name="tipoDocumento">
                            <option value=""></option>
                            <option value="text/html">HTML</option>
                            <option value="application/vnd.ms-excel">MS Excel</option>
                            <option value="application/vnd.ms-powerpoint">MS PowerPoint</option>
                            <option value="application/msword">MS Word</option>
                            <option value="application/vnd.oasis.opendocument.database">OpenOffice.org Database</option>
                            <option value="application/vnd.oasis.opendocument.graphics">OpenOffice.org Draw</option>
                            <option value="application/vnd.oasis.opendocument.presentation">OpenOffice.org Presentation</option>
                            <option value="application/vnd.oasis.opendocument.spreadsheet">OpenOffice.org Spreadsheet</option>
                            <option value="application/vnd.oasis.opendocument.text">OpenOffice.org Word Processor</option>
                            <option value="application/pdf">PDF</option>
                            <option value="application/rtf">RTF</option>
                            <option value="text/plain">TXT</option>
                            <option value="text/xml">XML</option>                                
                        </select>
                    </td>
                </tr>
            </table>
        </div>
        <table width="100%" id="buttonTable">
            <tr>
                <td align="right" colspan="2">
                    <button id="searchReturn">
                        <?php echo JText::_('COM_OPENKM_GO_BACK') ?>
                    </button>
                    <button id="searchAdvanced">
                        <?php echo Jtext::_('COM_OPENKM_SEARCH') ?>
                    </button>                        
                </td>
            </tr>
        </table>            
        <input type="hidden" name="option" value="com_openkm" />
        <input type="hidden" name="view" value="buscador"/>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="id" value="<?php echo $this->rowConfiguracion->idConfiguracion; ?>"/>
    </div><!--fin del tabs-->
</form>