<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2013 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
//defined( '_JEXEC' ) or die;
require_once '../../configuration.php';
class Conexion { // se declara una clase para hacer la conexion con la base de datos 

    var $con;

    function Conexion() {
        
        $config = new JConfig();
        
        // se definen los datos del servidor de base de datos 
        $conection['server'] = $config->host;  //host
        $conection['user'] = $config->user;         //  usuario
        $conection['pass'] = $config->password;             //password
        $conection['base'] = $config->db;           //base de datos
        // crea la conexion pasandole el servidor , usuario y clave
        $conect = mysql_connect($conection['server'], $conection['user'], $conection['pass']);

        if ($conect) { // si la conexion fue exitosa , selecciona la base
            mysql_select_db($conection['base']);
            $this->con = $conect;
        }
    }

    function getConexion() { // devuelve la conexion
        return $this->con;
    }

    function Close() {  // cierra la conexion
        mysql_close($this->con);
    }

}

class sQuery {  // se declara una clase para poder ejecutar las consultas, esta clase llama a la clase anterior {

    var $coneccion;
    var $consulta;
    var $resultados;

    function sQuery() {  // constructor, solo crea una conexion usando la clase "Conexion"
        $this->coneccion = new Conexion();
    }

    function executeQuery($cons) {  // metodo que ejecuta una consulta y la guarda en el atributo $pconsulta
        $this->consulta = mysql_query($cons, $this->coneccion->getConexion());
        return $this->consulta;
    }

    function getResults() {   // retorna la consulta en forma de result.
        return $this->consulta;
    }

    function Close() {  // cierra la conexion
        $this->coneccion->Close();
    }

    function Clean() { // libera la consulta
        mysql_free_result($this->consulta);
    }

    function getResultados() { // debuelve la cantidad de registros encontrados
        return mysql_affected_rows($this->coneccion->getConexion());
    }

    function getAffect() { // devuelve las cantidad de filas afectadas
        return mysql_affected_rows($this->coneccion->getConexion());
    }

    function fetchAll() {
        $rows = array();
        while ($row = mysql_fetch_array($this->consulta)) {
            $rows[] = $row;
        }
        return $rows;
    }

}

class Configuracion {

    private $idConfiguracion;
    private $nameConfiguration;
    private $usuario;
    private $password;
    private $url;
    private $okmPath;
    private $acceso;
    private $passwordAcceso;
    private $icon = 0;
    private $size = 0;
    private $updateDate = 0;
    private $author = 0;
    private $version = 0;
    private $showEntries;

    function Configuracion($id = 0) { // declara el constructor, si trae el numero de cliente lo busca , si no, trae todos los clientes
        if ($id != 0) {
            $queryConfiguration = new sQuery();
            $result = $queryConfiguration->executeQuery("select * from jos_openkm_configuracion where idConfiguracion = $id"); // ejecuta la consulta para traer al cliente 
            $row = mysql_fetch_array($result);
            $this->idConfiguracion = $row['idConfiguracion'];
            $this->nameConfiguration =$row['nameConfiguration'];
            $this->usuario = $row['usuario'];
            $this->password = $row['password'];
            $this->url = $row['url'];
        }
    }
    
    public function  getUsuario(){
        return $this->usuario;
    }
    
    public function getPassword(){
        return $this->password;
    }
    
    public function getURL(){
        return $this->url;
    }

}

function cleanString($string) {
    $string = trim($string);
    $string = mysql_escape_string($string);
    $string = htmlentities($string);
    return $string;
}