<?php

/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2013 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
//defined('_JEXEC') or die;
require_once ('clase.php');
$idCondiguracion = $_GET['id'];
$path = $_GET['path'];

$modelConfiguracion = new Configuracion();
$modelConfiguracion->Configuracion($idCondiguracion);
$user = $modelConfiguracion->getUsuario();
$password = $modelConfiguracion->getPassword();
$url = $modelConfiguracion->getURL();

// Register WSDL
$OKMAuth = new SoapClient($url . '/services/OKMAuth?wsdl');

// Login
$loginResp = $OKMAuth->login(array('user' => $user, 'password' => $password));
$token = $loginResp->return;

$OKMDocument = new SoapClient($url . '/services/OKMDocument?wsdl');

$getPropertiesResp = $OKMDocument->getProperties(array('token' => $token, 'docPath' => $path));
$properties = $getPropertiesResp->return;

$getContent = $OKMDocument->getContent(array('token' => $token, 'docPath' => $path, 'checkout' => false));
$content = $getContent->return;

header('Expires', 'Sat, 6 May 1971 12:00:00 GMT');
header('Cache-Control', 'max-age=0, must-revalidate');
header('Cache-Control', 'post-check=0, pre-check=0');
header('Pragma', 'no-cache');
header('Content-Type: ' . $properties->mimeType);
header('Content-Disposition: attachment; filename="' . substr($properties->path, strrpos($properties->path, '/') + 1) . '"');
echo $content;
?>
